<template>
    <div class="growth_new__wrapper">
        <!-- <div
            id="snackbar"
            class="show1"
        >
            {{ popup.copied_toast_text }}
        </div> -->
        <div class="growth_new">
            <Close />
            <LeftPicture
                :preview="showThank"
                :popup="popup"
            />
            <div class="growth_new__right">
                <Title
                    :title="popup.title"
                    :size="popup.title_size"
                />
                <Timer :popup="popup" />
                <Descrip :popup="popup" />
                <Discount
                    :preview="showThank"
                    :discounts="popup.growth_offers"
                />

                <Actions
                    :preview="showThank"
                    :popup="popup"
                />
                <CartiBrandLogo
                    v-if="!popup.hide_branding"
                />
            </div>
        </div>
    </div>
</template>

<script>
import LeftPicture from "@/components/growth-tools/new/LeftPicture.vue";
import Close from "@/components/growth-tools/new/Close.vue";
import Title from "@/components/growth-tools/new/Title.vue";
import Timer from "@/components/growth-tools/new/Timer.vue";
import Descrip from "@/components/growth-tools/new/Descrip.vue";
import Discount from "@/components/growth-tools/new/Discount.vue";
import Actions from "@/components/growth-tools/new/Actions.vue";
import CartiBrandLogo from '@/components/growth-tools/new/CartiBrandLogo';

export default {
  components: {
    LeftPicture,
    Close,
    Title,
    Timer,
    Descrip,
    Actions,
    Discount,
    CartiBrandLogo
  },
  props: ['popup', 'showThank'],
};
</script>


<style lang="scss">
.growth_new {
  background: #ffffff;
  border-radius: 5px;
  color: #000000;
  height: 404px;
  width: 653px;
  display: flex;
  align-items: center;
  position: relative;
  // position: fixed;
  // left: 50%;
  // top: 50%;
  // transform: translate(-50%, -50%);
  z-index: 100;
  &__wrapper {
    // background: rgba(83, 83, 83, 0.35);
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
  }
  &__title {
    font-size: 24px;
    line-height: 28px;
    margin-bottom: 12px;
  }
  &__current_discount {
    margin-bottom: 17px;
  }
  &__timer {
    margin-bottom: 14px;
  }
  &__left {
    background: url("/images/growth-tool/growth_new_bg.svg") no-repeat;
    background-size: cover;
    width: 301px;
    height: 100%;
    margin-right: 16px;
    position: relative;
  }
.timer {
  display: flex;
  align-items: center;
  font-family: "Roboto";
  font-size: 14px;
  line-height: 16px;
  &__text {
    margin-right: 5px;
  }
  &__time {
    display: flex;
    align-items: center;
  }
  &__dots {
    margin: auto 7px;
  }
  &__count {
    color: #fff;
    background: #4786ff;
    border-radius: 3.33333px;
    width: 16px;
    height: 22px;
    display: flex;
    justify-content: center;
    align-items: center;
    &:nth-of-type(odd) {
      margin-right: 5px;
    }
  }
}
.desc {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  color: #1b2437;
  height: 72px;
  &__item {
    margin-bottom: 10px;
    display: inline-block;
    font-size: 12px;
    line-height: 14px;
    // align-items: center;
    text-align: left;
  }
}

.current_discount {
  display: flex;
  align-items: center;
  color: #1b2437;
  &__title {
    margin-right: 9px;
    font-weight: 500;
    font-size: 16px;
    line-height: 19px;
  }
  &__num {
    font-size: 18px;
    line-height: 21px;
    background: #fbd95c;
    border-radius: 5px;
    width: 82px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 700;
  }
}
.actions {
  font-size: 14px;
  line-height: 16px;
  display: flex;
  flex-direction: column;
  height: 144px;
  &__item {
    display: flex;
    align-items: center;
    margin-bottom: 16px;
  }
  &__input,
  &__type,
  &__btn {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 36px;
  }
  &__input,&__input_sms {
    margin: 0 10px;
    border: 1px solid #ececec;
    border-radius: 5px;
    padding-left: 10px;
    color: #000;
    width: 172px !important;
    justify-content: flex-start;
    &:focus-visible, &:focus {
      outline: none !important;
      box-shadow: none !important;
      outline-offset: 0 !important;
    }
    &::placeholder {
      color: #98a0a6;
    }
  }
  &__input_push {
    color: #98a0a6;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  &__input_sms {
    border: none;
    padding-left: 0;
    height: 36px;
    display: flex;
    &.carti-sms-input-container{
      &:focus-visible, &:focus {
        outline: none !important;
        box-shadow: none !important;
        outline-offset: 0 !important;
      }
    }
    input {
      border: 1px solid #ececec;
      color: #000;
       &:focus-visible, &:focus {
        outline: none !important;
        box-shadow: none !important;
        outline-offset: 0 !important;
      }
       &::placeholder {
        color: #98a0a6;
      }
      &.carti-sms-country-code {
        width: 40px;
        border: 1px solid #ececec;
        padding-right: 0!important;
        padding-left: 0!important;
        text-align: center;
        border-top-left-radius: 5px;
        border-bottom-left-radius: 5px;
      }
      &.carti-sms-input {
        width: calc(100% - 40px);
        border: 1px solid #ececec;
         border-top-right-radius: 5px;
        border-bottom-right-radius: 5px;
        border-left: none;
        padding-left: 6px;
      }
    }
  }
  &__type {
    background: #dae7ff;
    border-radius: 5px;
    width: 36px;
  }
  &__btn {
    background: #4786ff;
    border-radius: 5px;
    font-weight: 500;
    width: 92px;
    color: #fff;
    cursor: pointer;
    padding: 0;
    border: none;
  }
}

.dot {
  width: 4px;
  height: 4px;
  margin-right: 6px;
  background: #4786ff;
  display: inline-block;
  border-radius: 50%;
  vertical-align: middle;
}

.left_star {
  &__second,
  &__first,
  &__third {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    svg {
      position: absolute;
      left: 50%;
      top: 50%;
      transform: translate(-50%, -50%);
    }
    .left_star__percent {
      color: #fff;
      position: relative;
      z-index: 1000;
    }
  }
  &__first {
    left: 42px;
    top: 108px;
    width: 63px;
    height: 63px;
    .left_star__percent {
      font-size: 26px;
      line-height: 30px;
      transform: rotate(-16.31deg);
    }
  }
  &__second {
    left: 197px;
    top: 104px;
    width: 72px;
    height: 72px;
    .left_star__percent {
      font-size: 30px;
      line-height: 35px;
      transform: rotate(15deg);
    }
  }
  &__third {
    left: 105px;
    top: 52px;
    width: 90px;
    height: 90px;
    .left_star__percent {
      font-size: 36px;
      line-height: 42px;
    }
  }
}
.close {
  position: absolute;
  right: 19px;
  top: 25px;
  cursor: pointer;
}
}

</style> 